QGIS Application - Feature request #1127
PostGIS default Styles should be saveable in system qgis.db
2008-06-17 03:33 AM - Horst Dister

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Map Legend

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11187
Description

To deliver unified style definitions from [[PostGIS]] repository to distributed users it would be great
to have the chance to define a global style definition stored in share/qgis/qgis.db. The search

path could be ~/.qgis/qgis.db prior share/qgis/qgis.db. In this way the single user has

the ability to define personal style definitions.

Associated revisions

Revision 13b48a7 - 2008-07-14 10:23 PM - Jiirgen Fischer

introduce separate gml databases for fileless datasources (fixes #1127)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8777 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision e9d91b35 - 2008-07-14 10:23 PM - Jiirgen Fischer

introduce separate gml databases for fileless datasources (fixes #1127)

git-svn-id: http://svn.osgeo.org/qgis/trunk@8777 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2008-06-17 04:23 AM - Jiirgen Fischer

- Status changed from Open to In Progress

#2 - 2008-07-09 12:21 AM - Jiirgen Fischer

waiting for feature freeze to pass.

#3 - 2008-07-09 02:15 PM - Tim Sutton
Hi
| have some reservations as to whether its desirable for end users to edit the ggis.db. For one thing you may encounter issues e.g. when doing apt-get

upgrade and apt tries to overwrite the db with a new version. | think the feature request is a valid one but we should think about other approaches to the

solution too before applying the patch.

#4 - 2008-07-10 12:08 AM - Jiirgen Fischer
Replying to [comment:4 timlinux]:

Hi

| have some reservations as to whether its desirable for end users to edit the qgis.db. For one thing you may encounter issues e.g. when doing

apt-get upgrade and apt tries to overwrite the db with a new version. | think the feature request is a valid one but we should think about other

approaches to the solution too before applying the patch.

Yup. The patch only searches the global qgis.db for styles. Transfering styles in to the database is not covered, this would need to be done manually.

It might be better to have seperate style databases and search them in the following order:

<pre>

<pre>

That way the user can update his own style database until it fits and then copy it to the projects directory and rename it accordingly or copy it to the

global directory.

#5 - 2008-07-14 01:24 PM - Jiirgen Fischer
- Status changed from In Progress to Closed
- Resolution set to fixed

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

patch_for_1127.diff 4.32 KB
